/*
*
*  Copyright 2004, Centre for Advanced Internet Architectures,
*  Swinburne University of Technology, http://caia.swin.edu.au
*
*  Author: Amiel Heyde, amiel@swin.edu.au
*  Date: 3 March 2008
*
*  This software is currently not for general distribution and
*  is NOT licensed for any use outside of the Centre for Advanced
*  Internet Architectures, Swinburne University of Technology
*
*/

#ifndef PAIR_H
#define PAIR_H
typedef struct Pair {
        
        /*
         * Points to both packets. [IN] and [OUT], which refer
         * to a packet going frrom the REFerence point, to the 
         * MON (remote) point, and the packet going back the 
         * other direction
         *
         * Note - the out packet is Ref to mon, and the in packet
         * is mon to ref. 
         *
         * */
        record_t * rec[2];

        /*
         * The difference between the time meansurements at REF
         * from the IN and the OUT packet. 
         * */
        struct timeval rtt;

        /*
         * The difference between the tiem measurements at MON
         * from the IN and the OUT packet (ie, the turnaround
         * time between receive and sending a reply packet at
         * the remote end)
         * */
        struct timeval spt;

        /*
         * The timestamp that the pair is considered to have 
         * been observed at. If the -b flag is set, it is the 
         * timestamp for the OUT packet at the REF (local) 
         * point
         * */
        struct timeval ts;

        TAILQ_ENTRY(Pair) entries;
} pair_t;

#endif
