/*
*
*  Copyright 2004, Centre for Advanced Internet Architectures,
*  Swinburne University of Technology, http://caia.swin.edu.au
*
*  Author: Amiel Heyde, amiel@swin.edu.au
*  Date: 3 March 2008
*
*  This software is currently not for general distribution and
*  is NOT licensed for any use outside of the Centre for Advanced
*  Internet Architectures, Swinburne University of Technology
*
*/
#ifndef SPPTOOL_H
#define SPPTOOL_H

#define PRIVATE static
#define PUBLIC

#ifndef CONFIG
#include "config.h"
#endif


// Number of measure points
#define MP_COUNT 2
#define SDF 4


typedef enum DIR_TYPE {OUT = 1, IN = 0} direction_t;
typedef enum MON_ID_TYPE {REF = 0, MON = 1} mp_id_t;
// added use_firstpkt_time option --- David Hayes
typedef enum OPTIONS_TYPE {

    /*
     * Output the server processing time as a part of 
     * the normal SPP output line
     * */
    output_spt = 1,

    /*
     * Output the pair count figure when SPP finishes 
     * running
     * */
    output_pair_count = 2, 
    use_monitor_clock = 16,

    /* 
     * When determining what time the RTT occured at, 
     * use the timestamp of the first packet instead
     * of subtracting half of the RTT from the second
     * packet timestamp. -b CLI flag.
     * */
    use_firstpkt_time = 32,  
    run_slave = 256 
} options_t;


typedef enum TS_CODE {ABSOLUTE = 0, OFFSET_1 = 1, OFFSET_2 = 2, OFFSET_3 = 3, OFFSET_4 = 4} ts_code_t;

typedef enum STATUS_TYPE {OK = 0, FILE_END = 1} status_t; //CHECK THIS HACK

#endif
